This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 189723 - Default hdparm settings applied to DVD burner aren't optimal.
Default hdparm settings applied to DVD burner aren't optimal.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-23 19:13 EDT by Philippe A
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-01 22:32:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Requested dmesg output. (13.92 KB, text/plain)
2006-05-29 20:27 EDT, Philippe A
no flags Details
hdparm -i /dev/hdc output (559 bytes, text/plain)
2006-07-31 22:03 EDT, Philippe A
no flags Details

  None (edit)
Description Philippe A 2006-04-23 19:13:57 EDT
Description of problem:

Unless I tweak manually my DVD burner settings with hdparm, I get 1X burn speed
in K3B. Video playback from the DVD drive is choppy in mplayer or xine.

Version-Release number of selected component (if applicable):

2.6.15-1.1833_FC4

How reproducible:

Always

Steps to Reproduce:

1. Reset drive settings to defaults with hdparm -d0 -c0 -u0 -a256 -k0 /dev/hdc
2. Put an DVD+RW 4X in the drive. Choosing speed Auto or 4X won't change anything.
3. Open K3B and burn some stuff. 

OR

1. Put a DVD movie in drive.
2. Playback with xine or mplayer.
  
Actual results:

- Burning crawls at 1X.
- DVD playback is choppy.

Expected results:

Burn speed should be 4X. DVD playback should be smooth. Both are obtained by
applying the following options: hdparm -c1 -d1 -u1 -a8 -k1 /dev/hdc

Additional info:

IMO having to play with hdparm to get DVD drive working at optimal performance
is a good example of something that would keep people away from using a Linux
desktop.
Comment 1 Dave Jones 2006-05-29 00:36:02 EDT
please attach dmesg output (without any manual hdparm having been done).
Comment 2 Philippe A 2006-05-29 20:27:29 EDT
Created attachment 130210 [details]
Requested dmesg output.

Attached is the requested dmesg output.
Comment 3 Dave Jones 2006-07-29 01:56:11 EDT
This doesn't make a great deal of sense, as according to the dmesg, everything
was set up to use dma just fine.  What does hdparm -i /dev/hdc say ?
Comment 4 Philippe A 2006-07-31 22:03:29 EDT
Created attachment 133367 [details]
hdparm -i /dev/hdc output
Comment 5 Dave Jones 2006-09-16 23:25:25 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 6 Dave Jones 2006-10-16 20:47:17 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Philippe A 2006-11-01 22:32:37 EST
Default hdparm settings work great in Fedora Core 6. Verified after deactivating
 my hdparm line in rc.local and rebooting.

Note You need to log in before you can comment on or make changes to this bug.